Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.language.jvm.tasks
[Java] Class ProcessResources

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.AbstractCopyTask
              org.gradle.api.tasks.Copy
                  org.gradle.language.jvm.tasks.ProcessResources

    public class ProcessResources
    extends Copy

Copies resources from their source to their target directory, potentially processing them. Makes sure no stale resources remain in the target directory.

Method Summary
`protected void` | `copy()`

Methods inherited from class Copy
createCopyAction, createRootSpec, getDestinationDir, getRootSpec, setDestinationDir

Methods inherited from class AbstractCopyTask
configureRootSpec, copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDefaultSource, getDirMode, getDuplicatesStrategy, getExcludes, getFileMode, getIncludeEmptyDirs, getIncludes, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with

Method Detail

### copy

    @Override
    protected void copy()

Gradle API 1.10